Commit 565c931e authored by Dave Reisner's avatar Dave Reisner Committed by Allan McRae
Browse files

updpkgsums: add more error checking before replacement

Re-add some paranoia which was inadvertently lost with 768b65e9

. In
case 'makepkg -g' fails to generate new sums (e.g. when a remote
resource cannot be fetched), or awk fails to write the new file (i have
no idea when this would happen), bail out with an error.
Signed-off-by: Allan McRae's avatarAllan McRae <allan@archlinux.org>
parent bc6ada08
......@@ -86,7 +86,7 @@ newbuildfile=$(mktemp --tmpdir updpkgsums.XXXXXX)
# $newbuildfile as garbage in $TMPDIR. This fails silently if the replacement
# succeeds.
trap "rm -rf '$BUILDDIR' '$newbuildfile'" EXIT
newsums=$(makepkg -g -p "$buildfile") &&
newsums=$(makepkg -g -p "$buildfile") || die 'Failed to generate new checksums'
awk -v newsums="$newsums" '
/^[[:blank:]]*(md|sha)[[:digit:]]+sums(_[^=]+)?=/,/\)[[:blank:]]*(#.*)?$/ {
if (!w) {
......@@ -98,7 +98,7 @@ awk -v newsums="$newsums" '
1
END { if (!w) print newsums }
' "$buildfile" > "$newbuildfile"
' "$buildfile" > "$newbuildfile" || die 'Failed to write new PKGBUILD'
# Replace the original buildfile.
if ! mv -- "$newbuildfile" "$buildfile"; then
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment